### Constructor

# AppStream Checksum new_with_value

since: 0.12.11

#### Declaration [src]

    AsChecksum*
    as_checksum_new_with_value (
      AsChecksumKind kind,
      const gchar* value
    )

#### Description [src]

Creates a new `AsChecksum` with the given hash function and hash value.

Available since: 0.12.11

#### Parameters

`kind`

  Type: `AsChecksumKind`

  No description available.

`value`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsChecksum`

An `AsChecksum`.

The caller of the function takes ownership of the data, and is responsible for freeing it.